Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 09 May 2021 06:54:03 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Salam, I recieved this msg on May 6th Items from Order# 6304667183 AWB FP0505211000857 are out for delivery today, please be available to receive it. Track it https://maxfashion.app.link/MB8ldnmMZfb 
But I still did not receive it. Under tracking its written as status  undelivered and address need to be changed. 
I updated the address it is the same street, building number but I chose Ashati. As our Address is in Ashati not Alkhaldiya.
Please let me know where is my order ? And when i will deliver it. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2539327